  function onError(error) {
    console.log(`Error: ${error}`);
  }


function saveOptions(e) {
  chrome.storage.local.set({
    cps: document.querySelector("#cps").value,
	tls: document.querySelector("#tls").value,
	sig: document.querySelector("#sig").value,
	connection: document.querySelector("#connection").value,
	cert_chain: document.querySelector("#cert_chain").value,
	cert_web: document.querySelector("#cert_web").value,
	cert_CAs: document.querySelector("#cert_CAs").value,
	cert_root: document.querySelector("#cert_root").value,
	ke: document.querySelector("#ke").value,
	sigauth: document.querySelector("#sigauth").value,	
	bc: document.querySelector("#bc").value,
	hash: document.querySelector("#hash").value,
	pfs: document.querySelector("#pfs").value,
	ev: document.querySelector("#ev").value,
	pk: document.querySelector("#pk").value,
	certStatus: document.querySelector("#certStatus").value
  });
}

function restoreOptions() {
    

 // TOTAL	-----------------------------------------------------------
	chrome.storage.local.get("connection", (res) => {
    document.querySelector("#connection").value = res.connection || 0.60;
    });
	
	chrome.storage.local.get("cert_chain", (res) => {
    document.querySelector("#cert_chain").value = res.cert_chain || 0.40;
    });
// Cert chain  --------------------------------------------------------------------	

	chrome.storage.local.get("cert_web", (res) => {
    document.querySelector("#cert_web").value = res.cert_web || 0.50;
    });
  
	chrome.storage.local.get("cert_CAs", (res) => {
    document.querySelector("#cert_CAs").value = res.cert_CAs || 0.25;
    });
	
	chrome.storage.local.get("cert_root", (res) => {
    document.querySelector("#cert_root").value = res.cert_root || 0.25;
    });
// CPS: ---------------------------------------------------------------

    chrome.storage.local.get("tls", (res) => {
    document.querySelector("#tls").value = res.tls || 0.10;
    });
  
    chrome.storage.local.get("ke", (res) => {
    document.querySelector("#ke").value = res.ke || 0.30;
    });
	
    chrome.storage.local.get("sigauth", (res) => {
    document.querySelector("#sigauth").value = res.sigauth || 0.10;
    });
  
    chrome.storage.local.get("bc", (res) => {
    document.querySelector("#bc").value = res.bc || 0.20;
    });
 
    chrome.storage.local.get("hash", (res) => {
    document.querySelector("#hash").value = res.hash || 0.30;
    });
// ---------------------------------------------------------------	
// Components certificats -------------------------------------------
	chrome.storage.local.get("sig", (res) => {
    document.querySelector("#sig").value = res.sig || 0.50;
    });
	
	chrome.storage.local.get("certStatus", (res) => {
	document.querySelector("#certStatus").value = res.certStatus || 0.20;
    });
	
	chrome.storage.local.get("pk", (res) => {
	document.querySelector("#pk").value = res.pk || 0.30;
    });
// ---------------------------------------------------------------	
// Connection ----------------------------------------------------
	chrome.storage.local.get("cps", (res) => {
    document.querySelector("#cps").value = res.cps || 0.70;
    });
	
	chrome.storage.local.get("pfs", (res) => {
    document.querySelector("#pfs").value = res.pfs || 0.15;
    });
	
	chrome.storage.local.get("ev", (res) => {
	document.querySelector("#ev").value = res.ev || 0.15;
    });

// ----------------------------------------------------	

  
}

document.addEventListener("DOMContentLoaded", restoreOptions);
document.querySelector('form').addEventListener("submit", saveOptions);